.space {
  position: fixed;
  overflow: hidden;
  display: block;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
}
.star {
    display: block;
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background: #FFF;
    top: 0;
    left: 100%;
    position: relative;
    transform-origin: 100% 0;
    animation: star-ani 16s infinite ease-out;
    box-shadow: 0 0 5px 5px rgba(255, 255, 255, .3);
    opacity: 0;
    z-index: 2;
}
.star:after {
    content: '';
    display: block;
    top: 0px;
    left: 4px;
    border: 0px solid #fff;
    border-width: 0px 90px 2px 90px;
    border-color: transparent transparent transparent rgba(255, 255, 255, .3);
    transform: rotate(-45deg) translate3d(1px, 3px, 0);
    box-shadow: 0 0 1px 0 rgba(255, 255, 255, .1);
    transform-origin: 0% 100%;
    animation: shooting-ani 4s infinite ease-out;
}
.pink {
    top: 0;
    left: 90%;
    background: #ff5a99;
    animation-delay: 9s;
    -webkit-animation-delay: 9s;
    -moz-animation-delay: 9s;
}
.pink:after {
    border-color: transparent transparent transparent #ff5a99;
    animation-delay: 9s;
    -webkit-animation-delay: 9s;
    -moz-animation-delay: 9s;
}
.blue {
    top: 0%;
    left: 80%;
    background: cyan;
    animation-delay: 16s;
    -webkit-animation-delay: 16s;
    -moz-animation-delay: 16s;
}
.blue:after {
    border-color: transpareanimation-delay: 12s;
    -webkit-animation-delay: 16s;
    -moz-animation-delay: 16s;
    animation-delay: 16s;
}
.yellow {
    top: 0;
    left: 70%;
    background: #ffcd5c;
    animation-delay: 12s;
}
.yellow:after {
    border-color: transparent transparent transparent #ffcd5c;
    animation-delay: 12s;
}
.star1 {
    top: 0;
    left: 60%;
}
.star2 {
    top: 0;
    left: 50%;
}
.star2 {
    top: 0;
    left: 40%;
}
@keyframes star-ani {
    0% {
        opacity: 0;
        transform: scale(0) rotate(0) translate3d(0, 0, 0);
        -webkit-transform: scale(0) rotate(0) translate3d(0, 0, 0);
        -moz-transform: scale(0) rotate(0) translate3d(0, 0, 0);
    }
    50% {
        opacity: 1;
        transform: scale(1) rotate(0) translate3d(-50vh, 50vh, 0);
        -webkit-transform: scale(1) rotate(0) translate3d(-50vh, 50vh, 0);
        -moz-transform: scale(1) rotate(0) translate3d(-50vh, 50vh, 0);
    }
    100% {
        opacity: 0;
        transform: scale(1) rotate(0) translate3d(-100vh, 100vh, 0);
        -webkit-transform: scale(1) rotate(0) translate3d(-100vh, 100vh, 0);
        -moz-transform: scale(1) rotate(0) translate3d(-100vh, 100vh, 0);
    }
}